#include <stdio.h>
#include <stdlib.h>

typedef struct prod
{
    int codigo;
    char nome[31];
    char fabricante[16];
    float preco;
} Produto;

int main()
{
    FILE* arquivo;
    Produto prod;
    char opcao = 'S';
    float Preco;
    int n = 0;
    arquivo = fopen("produtos.txt", "w");

    if(arquivo != NULL)
    {
        while(opcao != 'N')
        {
            printf("\nDigite o Codigo do Produto, Nome, Fabricante e Preco:\n");
            scanf("%d %30s %15s %f", &prod.codigo, prod.nome, prod.fabricante, &prod.preco);
            fprintf(arquivo, "%d %s %s %f\n", prod.codigo, prod.nome, prod.fabricante, prod.preco);
            printf("Deseja cadastrar mais um produto (S/N)?  ");
            scanf(" %c", &opcao);
        }
        fclose(arquivo);
        printf("Preco limite para busca no arquivo: ");
        scanf("%f", &Preco);
        arquivo = fopen("produtos.txt", "r");  //abre arquivo novamente, agora para leitura
        printf("\nLista de produtos com preco menor ou igual a R$ %.2f", Preco);
        printf("\nNome      Preco\n");
        while(!feof(arquivo))
        {
            fscanf(arquivo, "%d %s %s %f\n", &prod.codigo, prod.nome, prod.fabricante, &prod.preco);
            if(prod.preco <= Preco)
            {
                printf("%s   %.2f\n", prod.nome, prod.preco);
                n++;
            }
        }
        fclose(arquivo);
        if(n == 0)
            printf("\nNao existem produtos com preo inferior ao limite estabelecido.\n");
        else
            printf("\nTotal de produtos encontrados: %d\n", n);
    }
    return 0;
}
