#include <stdio.h>
#include <stdlib.h>
#include <string.h> //strcmp

typedef struct pais
{
    int codigo;
    char nome[21];
    int medalhasO;
    int medalhasP;
    int medalhasB;
} Pais;

void cadastro(Pais vet[], int n)
{
    int i;
    for(i = 0; i < n; i++)
    {
        printf("Digite o Codigo, Nome e Numero de medalhas de Ouro, Prata e Bronze do pais %d:\n", i + 1);
        scanf("%d %20s %d %d %d", &vet[i].codigo, vet[i].nome, &vet[i].medalhasO, &vet[i].medalhasP, &vet[i].medalhasB);
    }
}

int consulta(Pais vet[], int n, char pais[])
{
    int i, aux = 0, total;
    for(i = 0; (i < n) && (aux != 1); i++)
    {
        if(strcmp(vet[i].nome, pais) == 0)
        {
            total = vet[i].medalhasO + vet[i].medalhasP + vet[i].medalhasB;
            aux = 1;
        }
    }
    if(aux == 0)
    {
        total = 0;
    }
    return total;
}

void listar(Pais vet[], int n)
{
    int i;
    printf("Lista de Paises\nNome - Ouros\n");
    for(i = 0; i < n; i++)
    {
        printf("%s - %d", vet[i].nome, vet[i].medalhasO);
    }
}

int main()
{
    int n = 0, opcao, aux = 0, nMedalhas;
    Pais vetor[100];
    char pais[21];

    while((n < 2) || (n > 100))
    {
        printf("Digite a quantidade de paises participantes: ");
        scanf("%d", &n);
    }
    while(aux != 1)
    {
        printf("\nMenu de Opcoes:\n1 - Cadastrar Informacoes\n2 - Consultar Pais\n3 - Listar todas as medalhas de ouro\n4 - Sair\n");
        printf("Digite sua opcao: ");
        scanf("%d", &opcao);
        if(opcao == 1)
        {
            cadastro(vetor, n);
        }
        else if(opcao == 2)
        {
            printf("Digite o nome do pais que deseja consultar: ");
            scanf(" %20s", pais);
            nMedalhas = consulta(vetor, n, pais);
            printf("Numero de medalhas do pais %s: %d\n", pais, nMedalhas);
        }
        else if(opcao == 3)
        {
            listar(vetor, n);
        }
    }
    return 0;
}
