#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct endereco
{
    char rua[31];
    char bairro[21];
    int casa;
} Endereco;

typedef struct atual
{
    char nome[31];
    char cpf[12];
    int fone;
    Endereco ende;
} Atual;

typedef struct antes
{
    char nome[41];
    char cpf[12];
    int fone;
    char rua[51];
    char bairro[41];
    int casa;
} Antes;

int main()
{
    FILE *arq1, *arq2, *arq3;
    arq1 = fopen("CLIENTES_ANTES_2008.ARQ", "r");
    arq2 = fopen("CLIENTES_ATUAL.ARQ", "r");
    arq3 = fopen("CLIENTES.ARQ", "w");
    Antes cliente1;
    Atual cliente2, cliente3;
    int aux, aux2, nArq3 = 0, nArq2 = 0, nArq1 = 0;

    while(!feof(arq1))  //verifica se os registros em arq1 so diferentes de arq2
    {
        aux = 1;
        aux2 = 1;
        fscanf(arq1, "%40s %11s %d %50s %40s %d\n", cliente1.nome, cliente1.cpf, &cliente1.fone, cliente1.rua, cliente1.bairro, &cliente1.casa);
        while((!feof(arq2)) && (aux2 != 0))
        {
            fscanf(arq2, "%30s %11s %d %30s %20s %d\n", cliente2.nome, cliente2.cpf, &cliente2.fone, cliente2.ende.rua, cliente2.ende.bairro, &cliente2.ende.casa);
            if(strcmp(cliente1.cpf, cliente2.cpf) == 0)
            {
                aux = 0; //se aux == 0 ento no escreve cliente no arquivo de saida
                aux2 = 0; //sai do loop
            }
        }
        if(aux == 1)
        {
            strcpy(cliente3.nome, cliente1.nome);
            strcpy(cliente3.cpf, cliente1.cpf);
            cliente3.fone = cliente1.fone;
            strcpy(cliente3.ende.rua, cliente1.rua);
            strcpy(cliente3.ende.bairro, cliente1.bairro);
            cliente3.ende.casa = cliente1.casa;
            fprintf(arq3,"%s %s %d %s %s %d\n", cliente3.nome, cliente3.cpf, cliente3.fone, cliente3.ende.rua, cliente3.ende.bairro, cliente3.ende.casa);
            nArq3++; //conta somente os registros diferentes
        }
        nArq1++;
        fseek(arq2, 0, SEEK_SET); //volta para o comeco do arquivo arq2
    }
    while(!feof(arq2)) //copia todos os arquivos de arq2, pois sao diferentes de arq1
    {
        fscanf(arq2, "%30s %11s %d %30s %20s %d\n", cliente2.nome, cliente2.cpf, &cliente2.fone, cliente2.ende.rua, cliente2.ende.bairro, &cliente2.ende.casa);
        fprintf(arq3, "%s %s %d %s %s %d\n", cliente2.nome, cliente2.cpf, cliente2.fone, cliente2.ende.rua, cliente2.ende.bairro, cliente2.ende.casa);
        nArq2++;
    }
    nArq3 = nArq3 + nArq2; //adiciona a quantidade de registros de arq2
    fclose(arq1);
    fclose(arq2);
    fclose(arq3);
    printf("Numero de registros em Arq1 %d\n", nArq1);
    printf("Numero de registros em Arq2 %d\n", nArq2);
    printf("Numero de registros em Arq3 %d\n", nArq3);
    return 0;
}
